/***************************************************************************
 *   Copyright (C) 2007 by Jackie Team   *
 *   jackie.team@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "Options_Handler.h"

wxConfigBase* OptionsHandler::config;

void OptionsHandler::loadOptions(){
    config = wxConfigBase::Get();
}

wxString OptionsHandler::getOption(wxString o,wxString d){
     wxString s;
     config->Read(o, &s,d);
     return s;
}

int OptionsHandler::getOption(wxString o,int d){
     int i;
     config->Read(o, &i,d);
     return i;
}

double OptionsHandler::getOption(wxString o,double de){
     double d;
     config->Read(o, &d,de);
     return d;
}

bool OptionsHandler::getOption(wxString o,bool d){
     bool b;
     config->Read(o, &b,d);
     return b;
}


void OptionsHandler::setOption(wxString op,wxString val){
    config->Write(op, val);
    config->Flush();
}

void OptionsHandler::setOption(wxString op,int val){
    config->Write(op, val);
    config->Flush();
}

void OptionsHandler::setOption(wxString op,double val){
    config->Write(op, val);
    config->Flush();
}

void OptionsHandler::setOption(wxString op,bool val){
    config->Write(op, val);
    config->Flush();
}
